#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EClipShareMethod {
    Chat = 1,
    Clipboard = 2,
    File = 3,
    SendClip = 4,
    SaveToMedia = 5,
    CreateLink = 6,
}

impl EClipShareMethod {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Chat as i32 => Some(Self::Chat),
            x if x == Self::Clipboard as i32 => Some(Self::Clipboard),
            x if x == Self::File as i32 => Some(Self::File),
            x if x == Self::SendClip as i32 => Some(Self::SendClip),
            x if x == Self::SaveToMedia as i32 => Some(Self::SaveToMedia),
            x if x == Self::CreateLink as i32 => Some(Self::CreateLink),
            _ => None,
        }
    }
}
